<div class="card animated fadeIn" *ngIf="table_customer==true">
  <div class="card-header">
    <h3>Customers Management</h3>
  </div>
  <div class="card-body">
    <button type="button" class="btn btn-custom" (click)=" table_customer=false; page_1=true">
      + Add Customer
    </button>

    <!-- ------------------- alert ----------------- -->

    <div class="alert alert-success" *ngIf="check_success == true" role="alert">
      {{message}}
    </div>


    <div style="text-align: right;">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search">
      </mat-form-field><i class="cui-magnifying-glass icons font-ls"></i>
    </div>

    <div>

      <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 table table-hover table-responsive-sm table-responsive-md table-responsive-lg">

        <!-- Position Column -->
        <!-- <ng-container matColumnDef="id" *ngFor="let index = index">
            <th mat-header-cell *matHeaderCellDef>ID</th>
            <td mat-cell *matCellDef="let element"> {{index+1}} </td>
          </ng-container> -->

        <!-- Position Column -->
        <ng-container matColumnDef="Customer_Name">
          <th mat-header-cell *matHeaderCellDef>Customer Name</th>
          <td mat-cell *matCellDef="let element"> {{element.company}} </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="Project_Manager">
          <th mat-header-cell *matHeaderCellDef>Project Manager</th>
          <td mat-cell *matCellDef="let element"> {{element.project_manager}} </td>
        </ng-container>

        <!-- Weight Column -->
        <ng-container matColumnDef="Sale">
          <th mat-header-cell *matHeaderCellDef> Sale </th>
          <td mat-cell *matCellDef="let element"> {{element.sale_name}} </td>
        </ng-container>

        <!-- presale Column -->
        <ng-container matColumnDef="Pre_Sale">
          <th mat-header-cell *matHeaderCellDef> Pre Sale </th>
          <td mat-cell *matCellDef="let element"> {{element.presale_name}} </td>
        </ng-container>

        <!-- create Column -->
        <ng-container matColumnDef="create_date">
          <th mat-header-cell *matHeaderCellDef> Create Date </th>
          <td mat-cell *matCellDef="let element">{{(element.create_date* 1000) | date : 'dd-MM-yyyy'}} </td>
        </ng-container>


        <!-- action Column -->
        <ng-container matColumnDef="edit">
          <th mat-header-cell *matHeaderCellDef>
            Action
          </th>
          <td mat-cell *matCellDef="let element">
            <button type="button" class="btn btn-pill btn-primary btn-md" (click)="showEdit(element.customer_id, element.company, element.address, element.project_manager,element.sale_name,element.presale_name,element.create_date,element);
                  showAllCustomers();
                  table_customer=false; edit_page_1=true;">
              <i class="cui-wrench icons font-ls"></i>
            </button>
            <button type="button" class="btn btn-pill btn-danger btn-md"
              (click)="modalRemove.show(); getCustomer(element.customer_id,element.company); "><i
                class="cui-trash icons  "></i>
            </button>
          </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
      <div  style="text-align: center" *ngIf="!dataSource;">
          <br><br><br><br><br><div class="spinner-grow text-success" style="width: 3rem; height: 3rem; " role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <br><br><br><br><br>
      </div>
      <mat-paginator [pageSizeOptions]="[10, 15, 25, 100]" showFirstLastButtons></mat-paginator>
    </div>

  </div>
</div>




<!-- ============================= Add customer ================================ -->
<div class="alert alert-danger" *ngIf="check_select_customer == true" role="alert">
    {{message}}
</div>
<div *ngIf="table_customer==false" id="regis_customer">
  <div class="card animated fadeIn" *ngIf="page_1==true">
    <div class="card-header">
      <h3>New Customer</h3>
    </div>
    <div class="card-body">

      <form #customerForm="ngForm">

        <div class="alert alert-danger" *ngIf="check_select_customer == true" role="alert">
          {{message}}
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="company">Customer</label>
          <div class="col-sm-5">
            <ngx-select-dropdown (change)="selectionChanged($event)" [config]="config" [options]="customer_center">
            </ngx-select-dropdown>
          </div>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="address">Address</label>
          <div class="col-sm-5">
            <textarea id="textarea-input" [(ngModel)]="address" name="address" id="address" rows="4"
              class="form-control" placeholder="Address..." maxlength="150" required></textarea>
          </div>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="city">City</label>
          <div class="col-sm-3">
            <input type="text" class="form-control" [(ngModel)]="city" name="city" id="city" placeholder="City"
              [tooltip]="citycheck" triggers="focus" data-placement="right"
              (input)="checkCity(rex_name.test($event.target.value))" [style.border-left]="style_city" required>
          </div>
          <ng-template #citycheck>
            <ng-container *ngIf="!rex_name.test(city)||!city">
              <span class="icon-check"> Please Enter a-z,ก-ฮ</span>
            </ng-container>
            <div class="invalid-from" *ngIf="city" maxlength="20">
              <span style="color:lightgreen" *ngIf="rex_name.test(city);" class="icon-check"> Please Enter
                a-z,ก-ฮ</span>
            </div>
          </ng-template>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="postal_code">Postal Code</label>
          <div class="col-sm-3">
            <input type="text" class="form-control" [(ngModel)]="postal_code" name="postal_code" id="postal_code"
              placeholder="Postal Code" maxlength="5" [tooltip]="postalcheck" triggers="focus" data-placement="right"
              (input)="checkPostal(rex_postal_code.test($event.target.value))" [style.border-left]="style_postal"
              required>
          </div>
          <ng-template #postalcheck>
            <ng-container *ngIf="!rex_postal_code.test(postal_code)||!postal_code">
              <span class="icon-check"> Please Enter 0-9 length 5 number</span>
            </ng-container>
            <div class="invalid-from" *ngIf="postal_code" maxlength="20">
              <span style="color:lightgreen" *ngIf="rex_postal_code.test(postal_code);" class="icon-check"> Please Enter
                0-9 length 5 number</span>
            </div>
          </ng-template>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="project_manager">Project Manager</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="project_manager" name="project_manager"
              placeholder="Manager name" maxlength="50" [tooltip]="managercheck" triggers="focus"
              data-placement="right">
          </div>
          <ng-template #managercheck>
            <ng-container *ngIf="!rex_name.test(project_manager)||!project_manager">
              <span class="icon-check"> Please Enter a-z, ก-ฮ</span>
            </ng-container>
            <div class="invalid-from" *ngIf="project_manager" maxlength="20">
              <span style="color:lightgreen" *ngIf="rex_name.test(project_manager);" class="icon-check"> Please Enter
                a-z, ก-ฮ</span>
            </div>
          </ng-template>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="sale">Sale Name</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="sale_name" name="sale_name" placeholder="Sale name"
              maxlength="50" [tooltip]="salecheck" triggers="focus" data-placement="right">
          </div>
          <ng-template #salecheck>
            <ng-container *ngIf="!rex_name.test(sale_name)||!sale_name">
              <span class="icon-check"> Please Enter a-z, ก-ฮ</span>
            </ng-container>
            <div class="invalid-from" *ngIf="sale_name" maxlength="20">
              <span style="color:lightgreen" *ngIf="rex_name.test(sale_name);" class="icon-check"> Please Enter a-z,
                ก-ฮ</span>
            </div>
          </ng-template>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="presale_name">Presale Name</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="presale_name" name="presale_name"
              placeholder="Presale name" maxlength="50" [tooltip]="presalecheck" triggers="focus"
              data-placement="right">
          </div>
          <ng-template #presalecheck>
            <ng-container *ngIf="!rex_name.test(presale_name)||!presale_name">
              <span class="icon-check"> Please Enter a-z, ก-ฮ</span>
            </ng-container>
            <div class="invalid-from" *ngIf="presale_name" maxlength="20">
              <span style="color:lightgreen" *ngIf="rex_name.test(presale_name);" class="icon-check"> Please Enter a-z,
                ก-ฮ</span>
            </div>
          </ng-template>
        </div>

      </form>
    </div>

    <div class="card-footer">
      <button type="button" class="btn btn-custom btn2" (click)="cancleCreate()">Cancel</button>
      <button type="button" *ngIf="!customerForm.form.valid 
                                    || !rex_name.test(city) 
                                    || !rex_postal_code.test(postal_code)
                                    
                                    else btn_company;" class="btn btn-dis">
        Next Service</button>
      <ng-template #btn_company>
        <button type="button" *ngIf="!customer_name; else  customer_null" class="btn btn-custom btn2"
          (click)="checkCusNull()">Next Service</button>
        <ng-template #customer_null>
          <button class="btn btn-custom" (click)="page_1=false;page_2=true; ">Next Service</button>
        </ng-template>
      </ng-template>



    </div>
  </div>

  <!-- ------------ page_1=false;page_2=true ---------------- -->

  <div class="card animated fadeIn" *ngIf="page_2==true">
    <div class="card-header">
      <h3>New Customer</h3>
    </div>
    <div class="card-body">

      <form #projectForm="ngForm">
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="project_name">Project Name</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="project_name" name="project_name"
              placeholder="Project Name" required (input)="checkProject(rex_project.test($event.target.value))"
              [style.border-left]="style_project" maxlength="50" [tooltip]="projectcheck" triggers="focus"
              data-placement="right">
          </div>
          <ng-template #projectcheck>
            <ng-container *ngIf="!rex_project.test(project_name)||!project_name">
              <span class="icon-check"> Please Enter a-z, ก-ฮ , 0-9, ()&+,</span>
            </ng-container>
            <div class="invalid-from" *ngIf="project_name" maxlength="20">
              <span style="color:lightgreen" *ngIf="rex_project.test(project_name);" class="icon-check"> Please Enter
                a-z, ก-ฮ , 0-9, ()&+,</span>
            </div>
          </ng-template>
        </div>

        <div class="form-group animated row " style="text-align: center;">
          <h4 class="col-sm-3">Service</h4>
        </div>
        <div class="container">

          <div *ngFor="let service of service_category_detail; let i = index">

            <div class="form-group animated fadeIn row" style="text-align: center;">
              <label class="col-sm-4 col-form-label" for="service_name">Service Name</label>
              <div class="col-sm-5">
                <input type="text" class="form-control" [(ngModel)]="service.service_name" name="service_name{{i}}"
                  placeholder="Service Name" required (input)="checkService(rex_project.test($event.target.value),i)"
                  [style.border-left]="service_category_detail_style[i].style_service" maxlength="50"
                  [tooltip]="servicecheck" triggers="focus" data-placement="right">
              </div>
              <ng-template #servicecheck>
                <ng-container *ngIf="!rex_project.test(service.service_name)||!service.service_name">
                  <span class="icon-check"> Please Enter a-z, ก-ฮ , 0-9, ()&+,</span>
                </ng-container>
                <div class="invalid-from" *ngIf="service.service_name" maxlength="20">
                  <span style="color:lightgreen" *ngIf="rex_project.test(service.service_name);" class="icon-check">
                    Please Enter a-z, ก-ฮ , 0-9, ()&+,</span>
                </div>
              </ng-template>
            </div>


            <div class="form-group row animated fadeIn" style="text-align: center;">
              <label class="col-sm-4 col-form-label" for="url">URL</label>
              <div class="col-sm-5">
                <input type="text" class="form-control" [(ngModel)]="service.url" name="url{{i}}" placeholder="URL"
                  maxlength="50" [tooltip]="urlcheck" triggers="focus" data-placement="right" required
                  (input)="checkUrl(rex_url.test($event.target.value),i)"
                  [style.border-left]="service_category_detail_style[i].style_url">
              </div>
              <ng-template #urlcheck>
                <ng-container *ngIf="!rex_url.test(service.url)||!service.url">
                  <span class="icon-check"> Please Enter Link</span>
                </ng-container>
                <div class="invalid-from" *ngIf="service.url" maxlength="20">
                  <span style="color:lightgreen" *ngIf="rex_url.test(service.url);" class="icon-check"> Please Enter
                    Link</span>
                </div>
              </ng-template>
            </div>

            <div class="form-group  animated fadeIn row" style="text-align: center;">
              <label class="col-sm-4 col-form-label" for="select_service">Select Service</label>
              <div class="col-sm-5">

                <select class="form-control" name="service_category{{i}}" [(ngModel)]="service.service_category_name"
                  required (ngModelChange)="onChangeService($event, i);">
                  <option *ngFor="let catgory1 of service_category; let in = index"
                    value={{catgory1.service_category_name}}>
                    {{catgory1.service_category_name}}</option>
                </select>


                <br>
                <div class="form-group animated fadeIn row" style="text-align: center;"
                  *ngFor="let detail of list_detail[i] | keyvalue;let _index=index;">
                  <label class="col-sm-4 col-form-label">{{detail.key.replace('_',(' '))}}</label>
                  <div class="col-sm-8">
                    <input type="text" class="form-control" [(ngModel)]="service.service_detail[detail.key]"
                      name="{{detail.key}}+{{i}}" maxlength="50" [tooltip]="customcheck" triggers="focus"
                      data-placement="right">
                  </div>
                  <ng-template #customcheck>
                    <ng-container
                      *ngIf="!rex_custom.test(service.service_detail[detail.key])||!service.service_detail[detail.key]">
                      <span class="icon-check"> Please Enter a-z,0-9,(&-_.,)</span>
                    </ng-container>
                    <div class="invalid-from" *ngIf="service.service_detail[detail.key]" maxlength="20">
                      <span style="color:lightgreen" *ngIf="rex_custom.test(service.service_detail[detail.key]);"
                        class="icon-check"> Please Enter a-z,0-9,(&-_.,)</span>
                    </div>
                  </ng-template>
                </div>

              </div>

            </div>

            <div class="form-group  animated fadeIn row" style="text-align: center;">
              <label class="col-sm-4 col-form-label" for="select_bd">Select BD</label>
              <div class="col-sm-5">
                <select class="form-control" name="service_platform_name{{i}}"
                  [(ngModel)]="service.service_platform_name" required>
                  <option></option>
                  <option *ngFor="let platform of list_platform[i]">{{platform}}</option>
                </select>
              </div>
            </div>

            <div class="col-sm-10" style="text-align: right;">
              <button class="btn btn-custom btn2" *ngIf="service_category_detail.length>1"
                (click)='onDeleteAdd(i);onDeleteStyle(i)'>
                <span class="icon-close" style="font-size:1.5rem;" aria-hidden="true"></span>
              </button>
              <button class="btn btn-custom" *ngIf="(i+1)==service_category_detail.length "
                (click)="addDiv(); addStyle(service.url)">
                <span class="icon-plus" style="font-size:1.5rem" aria-hidden="true"></span>
              </button>
            </div>

          </div>
        </div>

      </form>



    </div>
    <div class="card-footer">
      <button type="button" class="btn btn-dark" (click)="page_2=false;page_1=true">back</button>
      <button type="button" class="btn btn-custom btn2" (click)="cancleCreate()">Cancel</button>
      <button type="button" class="btn btn-dis" *ngIf="!projectForm.form.valid
       else btn_service;">Next Diagram</button>
      <ng-template #btn_service>
        <button class="btn btn-custom" (click)="page_2=false;page_3=true;">Next Diagram</button>
      </ng-template>

    </div>



  </div>

  <!-- ------------ page_2=false;page_3=true ---------------- -->
  <div class="card " *ngIf="page_3==true">
    <div class="card-header">
      <h3>New Customer</h3>
    </div>
    <div class="card-body card-inverse card-primary">
      <h4>Add Diagram</h4>
      <div class="container">
        <div class="custom-file rounded mx-auto d-block">
          <input type="file" class="custom-file-input" id="url" (change)="onSelectFile($event)">
          <label class="custom-file-label" for="customFile" *ngIf='fileName; else fileName_else'>{{fileName}}</label>
          <ng-template #fileName_else>
            <label class="custom-file-label" for="customFile">Drop your diagram here!</label>
          </ng-template>
        </div>

        <div style="text-align:center">
          <ng-container *ngIf='url; else url_else' class="rounded mx-auto d-block">
            <img src={{url}} style="height: 65%; width: 65%; padding-top: 0px; margin-top: 20px;"
              class="rounded mx-auto d-block">
          </ng-container>
        </div>
      </div>
    </div>
    <div class="card-footer">
      <button type="button" class="btn btn-dark" (click)="page_3=false;page_2=true">back</button>
      <button type="button" class="btn btn-custom btn2" (click)="cancleCreate()">Cancel</button>
      <button type="button" class="btn btn-custom" data-toggle="modal"
        (click)=" addCustomer(address, city, postal_code, project_manager, sale_name, presale_name, project_name);">Confirm</button>
    </div>
  </div>
</div>




<!-- =============== Modal Remove ================== -->

<div bsModal #modalRemove="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">

      <div class="modal-body">
        <h4 class="modal-title">Confirm to Delete Customer </h4>
        <br>
        <p>Are you sure to delete is {{get_customer_name}}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="modalRemove.hide()">Close</button>
        <button type="button" class="btn btn-danger" (click)="onDeletecustomer(); modalRemove.hide();">Delete
          Customer</button>
      </div>
    </div>
  </div>
</div>


<!-- ================================= Edit customer ======================================= -->
<div *ngIf="table_customer==false" id="regis_customer">
  <div class="card animated fadeIn" *ngIf="edit_page_1==true">
    <div class="card-header">
      <h3>Edit Customer</h3>
    </div>
    <div class="card-body">
      <form #customerForm="ngForm">

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="company">Company</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="edit_company" name="company" placeholder="Company"
              disabled>
            <div class="invalid-from" *ngIf="company">
              <span class="badge badge-danger">Please Enter a-z or 0-9</span>
            </div>
          </div>
        </div>
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="company">Address</label>
          <div class="col-sm-5">
            <textarea id="textarea-input" name="textarea-input" rows="4" class="form-control" placeholder="Address..."
              [(ngModel)]="edit_address"></textarea>

          </div>
        </div>
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="manager">Project Manager</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="edit_project_manager" name="manager"
              placeholder="Manager">
            <div class="invalid-from" *ngIf="manager">
              <span class="badge badge-danger">Please Enter a-z or 0-9</span>
            </div>
          </div>
        </div>
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="sale">Sale Name</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="edit_sale_name" name="sale" placeholder="Sale">
            <div class="invalid-from" *ngIf="sale">
              <span class="badge badge-danger">Please Enter a-z or 0-9</span>
            </div>
          </div>
        </div>
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="presale">Presale Name</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="edit_presale_name" name="presale"
              placeholder="Presale">
            <div class="invalid-from" *ngIf="presale">
              <span class="badge badge-danger">Please Enter a-z or 0-9</span>
            </div>
          </div>
        </div>

      </form>
    </div>
    <div class="card-footer">
      <button type="button" class="btn btn-custom btn2" (click)="cancleCreate()">Cancel</button>
      <!-- <button type="button" [disabled]="!customerForm.form.valid" class="btn btn-custom"
        (click)="page_1=false;page_2=true">Next
        Step</button> -->

      <button type="button" class="btn btn-custom"
        (click)="edit_page_1=false;edit_page_2=true; editCustomer(); showEditService(); ">Next Project</button>
    </div>
  </div>

  <!-- ------------ page_1=false;page_2=true ---------------- -->

  <div class="card animated fadeIn" *ngIf="edit_page_2==true">
    <div class="card-header">
      <h3>Edit Customer</h3>
    </div>
    <div class="card-body">

      <form>
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="project_name">Project Name</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="edit_project_name" name='project_name'
              placeholder="Project Name" required>
            <div class="invalid-from" *ngIf="project_name">
              <span class="badge badge-danger">Please Enter a-z or 0-9</span>
            </div>
          </div>
        </div>
        <br>
        <div>

          <h5>Edit Diagram</h5>
          <div style="text-align: center;">
            <label class="hoverable" for="fileInput">
              <ng-container>
                  <img src={{diagram_img}} style="height: 30rem;padding-top: 0px;margin-top: 10px;">
              </ng-container>
              <!--
              <ng-container *ngIf='url; else url_else'>
                <img src={{url}} style="height: 30rem;padding-top: 0px;margin-top: 10px;">
              </ng-container>
              <ng-template #url_else>
                <img src="{{api_url}}/diagrams/{{edit_project_id}}"
                  style="height: 30rem;padding-top: 0px;margin-top: 10px;">
              </ng-template>
              -->
              <div><a style="cursor:pointer;">Choose Diagram</a></div>
            </label>
            <br />
            <input id="fileInput" type='file' (change)="onSelectFile($event)" accept="image/*">
          </div>
        </div>

      </form>
    </div>
    <div class="card-footer">
      <button type="button" class="btn btn-dark" (click)="edit_page_2=false;edit_page_1=true">back</button>
      <button type="button" class="btn btn-custom btn2" (click)="cancleCreate()">Cancel</button>
      <button type="button" class="btn btn-custom"
        (click)="edit_page_2=false;edit_page_3=true; editProject(); editDiagram(); showEditService()">Next
        Service</button>
    </div>
  </div>


  <!-- ------------------------------- edit_page_2=false;edit_page_3=true --------------------- -->


  <div class="card animated fadeIn" *ngIf="edit_page_3==true">
    <div class="card-header">
      <h3>Edit Service</h3>
    </div>
    <div class="card-body">
      <div class="list-group">
        <div class="container" *ngFor="let item of edit_service; let i = index">
            
          <a href="#List-{{ i }}" class="list-group-item list-group-item-action" data-toggle="collapse"
            (click)="onEditService(item.service_category_name,i);">
            <div class="row">
              <div class="col-sm-12 col-md-6">{{item.service_name}} </div>
            </div>
          </a>
          
          <div id="List-{{ i }}" class="collapse col-sm-12 " style="text-align: center;" >
            <br>
            <ul>
              <div class="form-group row">
                <label class="col-sm-4 col-form-label">Service Name</label>
                <div class="col-sm-6">
                  <input type="text" class="form-control" [(ngModel)]="item.service_name" name="edit_service_name">
                </div>
              </div>

              <div class="form-group row">
                <label class="col-sm-4 col-form-label">URL</label>
                <div class="col-sm-6">
                  <input type="text" class="form-control" [(ngModel)]="item.url" name="edit_url">
                </div>
              </div>

              <div class="form-group row">
                <label class="col-sm-4 col-form-label">Service</label>
                <div class="col-sm-6">
                  <select disabled class="form-control" name="service_category{{i}}"
                    [(ngModel)]="item.service_category_name"
                    (ngModelChange)="onEditService($event,i); onChangeEditdetail($event,i)">
                    <option disabled *ngFor="let catgory1 of service_category; let in = index"
                      value={{catgory1.service_category_name}}>
                      {{catgory1.service_category_name}}</option>
                  </select>
                </div>
              </div>


              <div class="form-group row" *ngFor="let detail of item.service_detail | keyvalue;let _index=index;">
                <label class="col-sm-4 col-form-label">{{detail.key.replace('_',(' '))}}</label>
                <div class="col-sm-5">
                  <input type="text" class="form-control" [(ngModel)]="detail.value"
                    (ngModelChange)="onchangeDetail(detail.key,$event,i)" name="{{detail.key}}+{{i}}">
                </div>
              </div>

              <div class="form-group row">
                <label class="col-sm-4 col-form-label">Platform</label>
                <div class="col-sm-6">
                  <select disabled class="form-control" name="service_platform_name_edit{{i}}"
                    [(ngModel)]="item.service_platform_name">
                    <option *ngFor="let platform of list_edit_platform[i]">{{platform}}</option>
                  </select>
                </div>
              </div>

            </ul>
            <div style="text-align: right;">
              <button class="btn btn-custom" (click)="editService(item.service_name,item.url,item.service_detail,i);">
                <span class="icon-check" style="font-size:1.5rem" aria-hidden="true"></span>
              </button>
            </div>
            <br>
          </div>
        </div>
      </div>

    </div>
    <div class="card-footer">
      <button type="button" class="btn btn-dark" (click)="edit_page_3=false;edit_page_2=true">back</button>
      <button type="button" class="btn btn-custom btn2" (click)="cancleCreate()">Cancel</button>

    </div>

  </div>

  